Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001085 [1003.1(2016)/Issue7+TC2] Shell and Utilities Editorial Error 2016-10-12 09:03 2019-10-28 10:44
Reporter Mark_Galeck View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Mark Galeck
Organization
User Reference
Section 2.3 Token Recognition
Page Number 2347
Line Number 74750
Interp Status ---
Final Accepted Text Note: 0004027
Summary 0001085: "token shall be from the current position in the input" is incorrect
Description Since not every position in the input starts a token, therefore the phrase "token shall be from the current position in the input" does not make sense. In fact, one should precisely spell out where a token starts, which is done in some cases, and I made another report to add remaining cases. Then, the whole phrase "The token shall be from the current
position in the input until a token is delimited according to one of the rules below;" is redundant anyway, since both starting and ending are covered in applicable rules.
Desired Action Delete the phrase"The token shall be from the current
position in the input until a token is delimited according to one of the rules below;"
Tags tc3-2008
Attached Files

- Relationships
related to 0001100Closed Rewrite of Section 2.10 Shell Grammar, of the Shell Standard, to fix previous reports, fix new issues, and improve presentation. 
has duplicate 0001084Resolved rule 3, 4, 5 do not say that a token is started, if needed 

-  Notes
(0004027)
geoffclare (manager)
2018-05-10 15:43

After applying the changes from 0001083, change page 2347 lines 74749-74754 from:
When it is not processing an io_here, the shell shall break its input into tokens by applying the first applicable rule below to each character in turn in its input. The token shall be from the current position in the input until a token is delimited according to one of the rules below; the characters forming the token are exactly those in the input, including any quoting characters. If it is indicated that a token is delimited, and no characters have been included in a token, processing shall continue until an actual token is delimited.
to:
When it is not processing an io_here, the shell shall break its input into tokens by applying the first applicable rule below to each character in turn in its input. At the start of input or after a previous token has just been delimited, the first or next token, respectively, shall start with the first character that has not already been included in a token and is not discarded according to the rules below. Once a token has started, zero or more characters from the input shall be appended to the token until the end of the token is delimited according to one of the rules below. When both the start and end of a token have been delimited, the characters forming the token shall be exactly those in the input between the two delimiters, including any quoting characters. If a rule below indicates that a token is delimited, and no characters have been included in the token, that empty token shall be discarded.

- Issue History
Date Modified Username Field Change
2016-10-12 09:03 Mark_Galeck New Issue
2016-10-12 09:03 Mark_Galeck Name => Mark Galeck
2016-10-12 09:03 Mark_Galeck Section => 2.3 Token Recognition
2016-10-12 09:03 Mark_Galeck Page Number => 2347
2016-10-12 09:03 Mark_Galeck Line Number => 74750
2016-10-28 08:21 geoffclare Relationship added related to 0001100
2018-05-10 15:43 geoffclare Note Added: 0004027
2018-05-10 15:46 geoffclare Interp Status => ---
2018-05-10 15:46 geoffclare Final Accepted Text => Note: 0004027
2018-05-10 15:46 geoffclare Status New => Resolved
2018-05-10 15:46 geoffclare Resolution Open => Accepted As Marked
2018-05-10 15:46 geoffclare Tag Attached: tc3-2008
2018-05-10 15:52 geoffclare Relationship added has duplicate 0001084
2019-10-28 10:44 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker